import { ComponentFactoryResolver, Injector, Type, ViewContainerRef } from '@angular/core';
import { NgxComponentOutletAdapterBuilderStrategyResolver } from './adapter-strategy';
import { NgxComponentOutletAdapterRef } from './adapter-ref';
export declare class NgxComponentOutletAdapterBuilder {
    private adapterBuilderStrategyResolver;
    constructor(adapterBuilderStrategyResolver: NgxComponentOutletAdapterBuilderStrategyResolver);
    create<TComponent>(componentType: Type<TComponent>, viewContainerRef: ViewContainerRef, injector: Injector, projectableNodes: any[][], context: TComponent, componentFactoryResolver: ComponentFactoryResolver): NgxComponentOutletAdapterRef<TComponent>;
}
