import { ComponentFactoryResolver, EventEmitter, Injector, NgModuleFactory, OnChanges, OnDestroy, SimpleChanges, Type, ViewContainerRef } from '@angular/core';
import { NgxComponentOutletAdapterBuilder } from '../adapter/adapter-builder';
export declare class NgxComponentOutlet implements OnChanges, OnDestroy {
    private _componentFactoryResolver;
    private viewContainerRef;
    private builder;
    ngxComponentOutlet: Type<any>;
    ngxComponentOutletInjector: Injector;
    ngxComponentOutletContent: any[][];
    ngxComponentOutletNgModuleFactory: NgModuleFactory<any>;
    ngxComponentOutletActivate: EventEmitter<any>;
    ngxComponentOutletDeactivate: EventEmitter<any>;
    private _adapterRef;
    private _ngModuleRef;
    private readonly componentFactoryResolver;
    private readonly context;
    private readonly injector;
    constructor(_componentFactoryResolver: ComponentFactoryResolver, viewContainerRef: ViewContainerRef, builder: NgxComponentOutletAdapterBuilder);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    private createAdapterRef();
    private destroyAdapterRef();
    private createNgModuleRef();
    private destroyNgModuleRef();
}
