import { ComponentFactory, ComponentRef, DoCheck, OnInit } from '@angular/core';
export declare type LifecycleComponent = OnInit & DoCheck | OnInit | DoCheck | any;
export interface NgxComponentOutletAdapterRefConfig<TComponent> {
    componentFactory: ComponentFactory<TComponent>;
    componentRef: ComponentRef<TComponent>;
    context: TComponent;
    onInitComponentRef?: ComponentRef<LifecycleComponent>;
    doCheckComponentRef?: ComponentRef<LifecycleComponent>;
}
export declare class NgxComponentOutletAdapterRef<TComponent> {
    componentFactory: ComponentFactory<TComponent>;
    componentRef: ComponentRef<TComponent>;
    context: TComponent;
    private onInitComponentRef;
    private doCheckComponentRef;
    private changeDetectorRef;
    private attachedOutputs;
    private defaultDescriptors;
    constructor(config: NgxComponentOutletAdapterRefConfig<TComponent>);
    dispose(): void;
    private attachInputs();
    private attachInput(context, instance, {propName, templateName}, defaultDescriptor);
    private attachLifecycle();
    private disposeInputs();
    private attachOutputs();
    private disposeOutputs();
}
