import { PipeTransform, Type } from '@angular/core';
export declare abstract class NgxComponentOutletResolver<TEntity, TComponent> {
    abstract resolve(entity: TEntity): Type<TComponent>;
}
export declare class NgxComponentOutletResolvePipe implements PipeTransform {
    transform<TEntity, TComponent>(value: TEntity, resolver: NgxComponentOutletResolver<TEntity, TComponent>): Type<TComponent>;
}
